@echo off
echo This Batch File Will Create BackTrack Network for Windows Disks.
echo This will take 24 blank formatted 3.5 disks.
echo .
if %1x==x goto Error
goto OK
:Error
echo Format:  MakeDisk.Bat (floppydrive):
goto DONE
:OK

Rem    **** Make Disk 1 ****

if %2x==x echo Insert Disk 1 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk1
echo Copying 1 file to floppy
if %2x==x copy Setup.exe %1
if not %2x==x copy Setup.exe %1\Disk1

Rem    **** Make Disk 2 ****

if %2x==x echo Insert Disk 2 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk2
echo Copying 1 file to floppy
if %2x==x copy Setup.W02 %1
if not %2x==x copy Setup.W02 %1\Disk2

Rem    **** Make Disk 3 ****

if %2x==x echo Insert Disk 3 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk3
echo Copying 1 file to floppy
if %2x==x copy Setup.W03 %1
if not %2x==x copy Setup.W03 %1\Disk3

Rem    **** Make Disk 4 ****

if %2x==x echo Insert Disk 4 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk4
echo Copying 1 file to floppy
if %2x==x copy Setup.W04 %1
if not %2x==x copy Setup.W04 %1\Disk4

Rem    **** Make Disk 5 ****

if %2x==x echo Insert Disk 5 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk5
echo Copying 1 file to floppy
if %2x==x copy Setup.W05 %1
if not %2x==x copy Setup.W05 %1\Disk5

Rem    **** Make Disk 6 ****

if %2x==x echo Insert Disk 6 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk6
echo Copying 1 file to floppy
if %2x==x copy Setup.W06 %1
if not %2x==x copy Setup.W06 %1\Disk6

Rem    **** Make Disk 7 ****

if %2x==x echo Insert Disk 7 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk7
echo Copying 1 file to floppy
if %2x==x copy Setup.W07 %1
if not %2x==x copy Setup.W07 %1\Disk7

Rem    **** Make Disk 8 ****

if %2x==x echo Insert Disk 8 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk8
echo Copying 1 file to floppy
if %2x==x copy Setup.W08 %1
if not %2x==x copy Setup.W08 %1\Disk8

Rem    **** Make Disk 9 ****

if %2x==x echo Insert Disk 9 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk9
echo Copying 1 file to floppy
if %2x==x copy Setup.W09 %1
if not %2x==x copy Setup.W09 %1\Disk9

Rem    **** Make Disk 10 ****

if not exist Setup.W10 goto DONE
if %2x==x echo Insert Disk 10 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk10
echo Copying 1 file to floppy
if %2x==x copy Setup.W10 %1
if not %2x==x copy Setup.W10 %1\Disk10

Rem    **** Make Disk 11 ****

if not exist Setup.W11 goto DONE
if %2x==x echo Insert Disk 11 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk11
echo Copying 1 file to floppy
if %2x==x copy Setup.W11 %1
if not %2x==x copy Setup.W11 %1\Disk11

Rem    **** Make Disk 12 ****

if not exist Setup.W12 goto DONE
if %2x==x echo Insert Disk 12 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk12
echo Copying 1 file to floppy
if %2x==x copy Setup.W12 %1
if not %2x==x copy Setup.W12 %1\Disk12

Rem    **** Make Disk 13 ****

if not exist Setup.W13 goto DONE
if %2x==x echo Insert Disk 13 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk13
echo Copying 1 file to floppy
if %2x==x copy Setup.W13 %1
if not %2x==x copy Setup.W13 %1\Disk13

Rem    **** Make Disk 14 ****

if not exist Setup.W14 goto DONE
if %2x==x echo Insert Disk 14 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk14
echo Copying 1 file to floppy
if %2x==x copy Setup.W14 %1
if not %2x==x copy Setup.W14 %1\Disk14

Rem    **** Make Disk 15 ****

if not exist Setup.W15 goto DONE
if %2x==x echo Insert Disk 15 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk15
echo Copying 1 file to floppy
if %2x==x copy Setup.W15 %1
if not %2x==x copy Setup.W15 %1\Disk15

Rem    **** Make Disk 16 ****

if not exist Setup.W16 goto DONE
if %2x==x echo Insert Disk 16 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk16
echo Copying 1 file to floppy
if %2x==x copy Setup.W16 %1
if not %2x==x copy Setup.W16 %1\Disk16

Rem    **** Make Disk 17 ****

if not exist Setup.W17 goto DONE
if %2x==x echo Insert Disk 17 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk17
echo Copying 1 file to floppy
if %2x==x copy Setup.W17 %1
if not %2x==x copy Setup.W17 %1\Disk17

Rem    **** Make Disk 18 ****

if not exist Setup.W18 goto DONE
if %2x==x echo Insert Disk 18 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk18
echo Copying 1 file to floppy
if %2x==x copy Setup.W18 %1
if not %2x==x copy Setup.W18 %1\Disk18

Rem    **** Make Disk 19 ****

if not exist Setup.W19 goto DONE
if %2x==x echo Insert Disk 1 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk19
echo Copying 1 file to floppy
if %2x==x copy Setup.W19 %1
if not %2x==x copy Setup.W19 %1\Disk19

Rem    **** Make Disk 20 ****

if not exist Setup.W20 goto DONE
if %2x==x echo Insert Disk 20 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk20
echo Copying 1 file to floppy
if %2x==x copy Setup.W20 %1
if not %2x==x copy Setup.W20 %1\Disk20

Rem    **** Make Disk 21 ****

if not exist Setup.W21 goto DONE
if %2x==x echo Insert Disk 21 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk21
echo Copying 1 file to floppy
if %2x==x copy Setup.W21 %1
if not %2x==x copy Setup.W21 %1\Disk21

Rem    **** Make Disk 22 ****

if not exist Setup.W22 goto DONE
if %2x==x echo Insert Disk 22 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk22
echo Copying 1 file to floppy
if %2x==x copy Setup.W22 %1
if not %2x==x copy Setup.W22 %1\Disk22

Rem    **** Make Disk 23 ****

if not exist Setup.W23 goto DONE
if %2x==x echo Insert Disk 23 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk23
echo Copying 1 file to floppy
if %2x==x copy Setup.W23 %1
if not %2x==x copy Setup.W23 %1\Disk23

Rem    **** Make Disk 24 ****

if not exist Setup.W24 goto DONE
if %2x==x echo Insert Disk 24 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk24
echo Copying 1 file to floppy
if %2x==x copy Setup.W24 %1
if not %2x==x copy Setup.W24 %1\Disk24

Rem    **** Make Disk 25 ****

if not exist Setup.W25 goto DONE
if %2x==x echo Insert Disk 25 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk25
echo Copying 1 file to floppy
if %2x==x copy Setup.W25 %1
if not %2x==x copy Setup.W25 %1\Disk25

Rem    **** Make Disk 26 ****

if not exist Setup.W26 goto DONE
if %2x==x echo Insert Disk 26 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk26
echo Copying 1 file to floppy
if %2x==x copy Setup.W26 %1
if not %2x==x copy Setup.W26 %1\Disk26

Rem    **** Make Disk 27 ****

if not exist Setup.W27 goto DONE
if %2x==x echo Insert Disk 27 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk27
echo Copying 1 file to floppy
if %2x==x copy Setup.W27 %1
if not %2x==x copy Setup.W27 %1\Disk27

Rem    **** Make Disk 28 ****

if not exist Setup.W28 goto DONE
if %2x==x echo Insert Disk 28 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk28
echo Copying 1 file to floppy
if %2x==x copy Setup.W28 %1
if not %2x==x copy Setup.W28 %1\Disk28

Rem    **** Make Disk 29 ****

if not exist Setup.W29 goto DONE
if %2x==x echo Insert Disk 29 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk29
echo Copying 1 file to floppy
if %2x==x copy Setup.W29 %1
if not %2x==x copy Setup.W29 %1\Disk29

Rem    **** Make Disk 30 ****

if not exist Setup.W30 goto DONE
if %2x==x echo Insert Disk 30 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk30
echo Copying 1 file to floppy
if %2x==x copy Setup.W30 %1
if not %2x==x copy Setup.W30 %1\Disk30

Rem    **** Make Disk 31 ****

if not exist Setup.W31 goto DONE
if %2x==x echo Insert Disk 31 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk31
echo Copying 1 file to floppy
if %2x==x copy Setup.W31 %1
if not %2x==x copy Setup.W31 %1\Disk31

Rem    **** Make Disk 32 ****

if not exist Setup.W32 goto DONE
if %2x==x echo Insert Disk 32 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk32
echo Copying 1 file to floppy
if %2x==x copy Setup.W32 %1
if not %2x==x copy Setup.W32 %1\Disk32

Rem    **** Make Disk 33 ****

if not exist Setup.W33 goto DONE
if %2x==x echo Insert Disk 33 now into drive %1
if %2x==x pause
if not %2x==x md %1\Disk33
echo Copying 1 file to floppy
if %2x==x copy Setup.W33 %1
if not %2x==x copy Setup.W33 %1\Disk33

:DONE
